Skip to main content

Team Stats (Live)

GET /api/v1/match/{matchId}/team-stats
curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.sportsapipro.com/v6/football/match/ezk96i3gzz5a1kn/team-stats"

Response

{
  "success": true,
  "matchStats": {
    "0": {
      "stats": {
        "101": { "values": ["1", "0"] },
        "102": { "values": ["1", "9"] },
        "121": { "values": ["3", "6"] },
        "122": { "values": ["1", "8"] },
        "123": { "values": ["54", "144"] },
        "124": { "values": ["28", "103"] },
        "125": { "values": ["59", "41"] },
        "128": { "values": ["4", "14"] }
      }
    }
  }
}
  • matchStats keys are periods: "0" = full match, "1" = 1st half, "2" = 2nd half.
  • Each values array is [home, away] as strings.

Stat ID Reference

IDMeaningIDMeaning
101Goals121Shots
102Corners122Attacks
103Red Cards123Possession (%)
104Yellow Cards124Dangerous Attacks
105Free Kicks125Shots on Target (%)
106Goal Kicks127Blocked Shots
107Throw-ins128Shots on Target
108Offsides132Saves
109Fouls137Tackles
113Penalties183Total Shots on Target
114Own Goals
Cache TTL: 5 s (live data).

Match Statistics (Generic)

GET /api/v1/match/{matchId}/stats
curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.sportsapipro.com/v6/football/match/ezk96i3gzz5a1kn/stats"

Lineups

GET /api/v1/match/{matchId}/lineups
Returns player lineups when available (major leagues / tournaments).
curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.sportsapipro.com/v6/football/match/ezk96i3gzz5a1kn/lineups"
Cache TTL: 60 s.
Basketball matches do not expose /stats, /team-stats, /lineups, /incidents, /commentary, or /tables — only /match/{id}, /odds, /odds/{companyId}, and /h2h?sport_id=2.
Last modified on June 29, 2026